<!--
Sitemap:
- [Stridge — The infrastructure bridging crypto payments](/index): Crypto payment infrastructure for modern fintechs. Accept on any chain, settle through the cheapest route, and pay out in any asset — all from a single SDK.
- [API Reference](/api-reference/): Stridge REST API reference — complete endpoint documentation for deposits, payouts, Universal Deposit Addresses, settlements, and supported networks.
- [Changelog](/changelog): Release notes for Stridge SDKs and developer tools.
- [Stridge Gateway Kit](/gateway/): Drop-in deposit and withdraw flows for crypto apps. Mount a single React provider, render a dialog, and ship any-to-any payments in minutes.
- [Getting Started](/getting-started): Get started with Stridge — pick your integration shape, generate keys, and make your first call from the React Kit, the TypeScript SDK, or the REST API.
- [Supported Networks](/networks): Blockchain networks and tokens supported by the Stridge payment infrastructure — network_id (SLIP-44), EIP-155 chain IDs, and the available native and stablecoin assets per chain.
- [TypeScript SDK](/sdk/): TypeScript client for the Stridge Gateway API. Used internally by @stridge/kit and exposed for backend and server integrations that need direct API access.
- [Security](/security/): Stridge Security — how the Stridge KMS protects wallet keys and signs transactions without ever exposing private keys.
- [Universal Deposit Addresses](/uda/): Universal Deposit Addresses (UDA) — one multi-chain deposit address per user, with automatic cross-chain settlement to a fixed destination.
- [Webhooks](/webhooks/): Stridge webhooks — signed HTTP POSTs for deposits, UDA settlements, wallets, and balances. Verify HMAC, handle retries, and use the Dashboard to inspect event payloads.
- [Gateway HTTP API](/gateway/http): Raw HTTP contract for the Stridge Gateway — supported-assets catalogue, gateway/start provisioning, and per-owner status polling.
- [UDA Quickstart](/uda/quickstart): Create your first Universal Deposit Address and trace a deposit end-to-end — from the POST call, through webhooks, to a settled transaction on the destination chain.
- [Settlements](/uda/settlements): UDA settlements — lifecycle, routing scenarios, fees, and the settlement record API. Reconcile deposits with webhooks; the Dashboard shows each settlement end-to-end.
- [UDA Webhook Events](/uda/webhooks): Reference for the three webhook events UDA deposits emit — deposit.confirmed, uda.settlement.created, and uda.settlement.completed — with payloads and lifecycle guidance.
- [Get a single deposit transaction by ID](/api-reference/deposits/get-a-single-deposit-transaction-by-id): Get details of a specific deposit transaction by its unique ID
- [Get a single deposit transaction by transaction id](/api-reference/deposits/get-a-single-deposit-transaction-by-transaction-id): One row per matching tx_id; multiple same-tx transfers are separate rows. Returns the latest by on-chain time (then id). Use GET /v1/deposits with tx_id filter
- [List deposit transactions](/api-reference/deposits/list-deposit-transactions): Get a paginated list of deposit transactions for the authenticated tenant with filtering support
- [Get blockchain assets](/api-reference/networks/get-blockchain-assets): Get a list of all supported blockchain assets (tokens and native assets).
- [Get blockchain networks](/api-reference/networks/get-blockchain-networks): Get a list of all supported blockchain networks.
- [Get network list](/api-reference/networks/get-network-list): Get a public list of all networks with category grouping.
- [Get tenant network](/api-reference/networks/get-tenant-network): Get a specific network for the authenticated tenant by network ID and contract address
- [Get tenant networks](/api-reference/networks/get-tenant-networks): Get a list of networks available to the authenticated tenant with their enabled status
- [Update tenant network status](/api-reference/networks/update-tenant-network-status): Update the enabled status of a network for the authenticated tenant
- [Create payout](/api-reference/payouts/create-payout): Creates a new payout from the tenant's vault wallet to an external address
- [Create payout with USD amount](/api-reference/payouts/create-payout-with-usd-amount): Creates a new payout converting a USD amount to crypto at current rate
- [Get payout by ID](/api-reference/payouts/get-payout-by-id): Retrieves a payout by its ID
- [Get vault address by network](/api-reference/payouts/get-vault-address-by-network): Get the vault address for a specific network
- [Get vault balances](/api-reference/payouts/get-vault-balances): Get balances for all vault addresses with optional filtering
- [Get vault total value](/api-reference/payouts/get-vault-total-value): Get the total USD value across all vault assets
- [List payouts](/api-reference/payouts/list-payouts): Lists payouts for a vault with filtering and pagination
- [List vault addresses](/api-reference/payouts/list-vault-addresses): Get all vault addresses for the authenticated tenant
- [List vaults](/api-reference/payouts/list-vaults): List all vault accounts for the authenticated tenant
- [Transfer from vault to external address](/api-reference/payouts/transfer-from-vault-to-external-address): Transfer assets from the tenant's vault wallet to an external address.
- [Get a settlement](/api-reference/settlements/get-a-settlement): Fetch a single settlement by ID. A settlement is created per confirmed deposit on a UDA address and carries the lifecycle state, scenario, and routing tx ids.
- [Create a UDA address](/api-reference/uda/create-a-uda-address): Allocate a new Universal Deposit Address for the tenant. If a UDA for the (tenant, owner) pair already exists, the existing record is returned with 200 instead
- [Get a cross-chain / cross-token quote](/api-reference/uda/get-a-cross-chain-cross-token-quote): Returns an indicative quote for routing from/to given (chain, token) pair. USD fields are omitted until a price feed is wired in.
- [Get a UDA address](/api-reference/uda/get-a-uda-address): Fetch a single UDA address by ID, including its delegation status.
- [List settlements for a UDA address](/api-reference/uda/list-settlements-for-a-uda-address): List all settlements that have been created for a given UDA address, optionally paginated.
- [List UDA addresses](/api-reference/uda/list-uda-addresses): List UDA addresses belonging to the authenticated tenant. Supports filtering by owner and status and pagination via limit/offset.
- [List UDA-supported chains](/api-reference/uda/list-uda-supported-chains): Returns every chain with `uda_support=true` along with its native currency and configured token contracts. Rows are grouped by network.
- [Retire a UDA address](/api-reference/uda/retire-a-uda-address): Mark a UDA address as retired. Future deposits will no longer trigger settlements; any already-confirmed settlements continue to run to completion.
- [Update a UDA address](/api-reference/uda/update-a-uda-address): Update the destination, accepted tokens, or status of an existing UDA. Owner is immutable.
-->

<DocsGrid>
  <DocsMain>
    <EndpointTag>UDA</EndpointTag>

    # List settlements for a UDA address

    List all settlements that have been created for a given UDA
    address, optionally paginated.

    <Playground method="GET" path="/v1/uda/{id}/settlements" baseUrl="https://api.stridge.com" summary={"List settlements for a UDA address"} description={"List all settlements that have been created for a given UDA address, optionally paginated."} parameters={[{"name":"X-API-Key","in":"header","type":"string","required":true,"description":"Your Stridge API key."},{"name":"id","in":"path","type":"string","required":true,"description":"UDA address ID"},{"name":"limit","in":"query","type":"integer","required":false,"description":"Page size (default 50, max 200)"},{"name":"offset","in":"query","type":"integer","required":false,"description":"Page offset"}]} responses={[{"status":200,"description":"Settlements","example":{"data":[{"id":"bcc2b0c1-f75c-43b2-b1bc-c44437d775f4","status":"completed","uda_id":"31d32b68-e455-42b7-9d39-d2904adbe1b8","created_at":"2026-04-24T06:56:06Z","updated_at":"2026-04-24T06:56:17Z","deposit":{"tx_hash":"0xb7b493e68121ce6c7c39b6e0dce56fd45899277a8a85e5c524a718a00837355c","chain_id":56,"network_name":"bsc","address":"0x3b7e9d1a5c2f4b8e6d0c9f3a2b1e4d5c7a9b8e0f","token_address":"","token_symbol":"BNB","amount":"5000000000000000","confirmed_at":"2026-04-24T06:55:59Z"},"route":{"provider":"lifi","type":"cross_chain_diff_token","time_ms":11000},"fees":{"fee_amount":"18485000000000"},"settlement":{"tx_hash":"0x158ffc8b098ae63d697485a75666a337eaab18a2167ff417861f3209dffce29b","chain_id":42161,"network_name":"arbitrum","address":"0x8f4a2c9e1b3d7f5a6c8e0d9b2a4c6e8f0a2c4d6e","token_address":"0xaf88d065e77c8cc2239327c5edb3a432268e5831","token_symbol":"USDC","amount":"3140","settled_at":"2026-04-24T06:56:17Z"}}],"pagination":{"count":1,"limit":50,"offset":0}}},{"status":500,"description":"Internal server error","example":{"success":false,"code":500,"error":"Internal server error"}}]} />

    ## Authorizations

    <ParamField name="X-API-Key" type="string" location="header" required>
      Your Stridge API key. Include it in every request header.
    </ParamField>

    ## Path parameters

    <ParamField name="id" type="string" required location="path">
      UDA address ID
    </ParamField>

    ## Query parameters

    <ParamField name="limit" type="integer" location="query">
      Page size (default 50, max 200)
    </ParamField>

    <ParamField name="offset" type="integer" location="query">
      Page offset
    </ParamField>

    ## Response

    <ResponseField name="success" type="boolean" example={true}>
      Indicates whether the request succeeded.
    </ResponseField>

    <ResponseField name="message" type="string" example="operation completed successfully">
      Human-readable status message.
    </ResponseField>

    <ResponseField name="data" type="object[]">
      The response payload.
    </ResponseField>

    <Expandable title="data fields" defaultOpen>
      <ResponseField name="created_at" type="string">
        The created at.
      </ResponseField>

      <ResponseField name="deposit" type="object">
        The deposit.
      </ResponseField>

      <ResponseField name="error" type="string">
        The error.
      </ResponseField>

      <ResponseField name="fees" type="object">
        The fees.
      </ResponseField>

      <ResponseField name="id" type="string">
        The ID.
      </ResponseField>

      <ResponseField name="route" type="object">
        The route.
      </ResponseField>

      <ResponseField name="settlement" type="object">
        The settlement.
      </ResponseField>

      <ResponseField name="status" type="string">
        The status.
      </ResponseField>

      <ResponseField name="uda_id" type="string">
        The uda ID.
      </ResponseField>

      <ResponseField name="updated_at" type="string">
        The updated at.
      </ResponseField>
    </Expandable>
  </DocsMain>

  <DocsAside>
    ### Request

    <LangTabs>
      <Sample lang="curl">
        ```bash
        curl -X GET 'https://api.stridge.com/v1/uda/{id}/settlements?limit=20' \
          -H 'X-API-Key: your_api_key_here'
        ```
      </Sample>

      <Sample lang="node">
        ```ts
        const res = await fetch('https://api.stridge.com/v1/uda/{id}/settlements', {
          method: 'GET',
          headers: {
            'X-API-Key': process.env.STRIDGE_API_KEY!,
          },
        })

        const data = await res.json()
        ```
      </Sample>

      <Sample lang="python">
        ```python
        import requests

        response = requests.get(
            'https://api.stridge.com/v1/uda/{id}/settlements',
            headers={'X-API-Key': 'your_api_key_here'},
        )
        data = response.json()
        ```
      </Sample>
    </LangTabs>

    ### Response

    <ResponseTabs>
      <Response status={200}>
        ```json
        {
          "data": [
            {
              "id": "bcc2b0c1-f75c-43b2-b1bc-c44437d775f4",
              "status": "completed",
              "uda_id": "31d32b68-e455-42b7-9d39-d2904adbe1b8",
              "created_at": "2026-04-24T06:56:06Z",
              "updated_at": "2026-04-24T06:56:17Z",
              "deposit": {
                "tx_hash": "0xb7b493e68121ce6c7c39b6e0dce56fd45899277a8a85e5c524a718a00837355c",
                "chain_id": 56,
                "network_name": "bsc",
                "address": "0x3b7e9d1a5c2f4b8e6d0c9f3a2b1e4d5c7a9b8e0f",
                "token_address": "",
                "token_symbol": "BNB",
                "amount": "5000000000000000",
                "confirmed_at": "2026-04-24T06:55:59Z"
              },
              "route": {
                "provider": "lifi",
                "type": "cross_chain_diff_token",
                "time_ms": 11000
              },
              "fees": {
                "fee_amount": "18485000000000"
              },
              "settlement": {
                "tx_hash": "0x158ffc8b098ae63d697485a75666a337eaab18a2167ff417861f3209dffce29b",
                "chain_id": 42161,
                "network_name": "arbitrum",
                "address": "0x8f4a2c9e1b3d7f5a6c8e0d9b2a4c6e8f0a2c4d6e",
                "token_address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
                "token_symbol": "USDC",
                "amount": "3140",
                "settled_at": "2026-04-24T06:56:17Z"
              }
            }
          ],
          "pagination": {
            "count": 1,
            "limit": 50,
            "offset": 0
          }
        }
        ```
      </Response>

      <Response status={500}>
        ```json
        {
          "success": false,
          "code": 500,
          "error": "Internal server error"
        }
        ```
      </Response>
    </ResponseTabs>
  </DocsAside>
</DocsGrid>
